# Правила размещения проектов и ДЗ в Git.

[мануал по git](http://phplessons.byethost8.com/git.html)

Ниже приведены определенные правила, которые позволят нам всем избежать бардака.

## Репозитарии.

Используйте 4 репозитария:
- **markup** для месячного задания по верстке
- **homework** для домашних заданий

## Структура репозитария **homework**

- папка **js** 
- папка **jquery**

В каждой из этих папок создаем папку с номером урока, на котором было выдано ДЗ, и внутри размещаете ДЗ. Например для задания по `if` и `switch`
(второй урок) путь должен быть: **js/02/**

## Тестовый хостинг

У вас есть возможности поэкспериментировать с linux-хостингом.
В вашей домашней папке вы можете создать папку `public_html` (доступ по **ssh**)

```bash
mkdir ~/public_html
```

Для получения списка файлов и папок используйте команду `ls`:

```bash
ls
```
таким образом вы можете проверить наличие папки `public_html`

После это в этой папке вы можете создать папку с тем или иным проектом:

```bash
cd ~/public_html # переход в папку public_html
mkdir project    # создаем папку для проекта
```

Так же вы можете получить доступ по **ftp** и создать папки в проводнике Windows, lftp, filezilla, total commander и т. п.

после этого ваш проект доступен в интернете по адресу:
http://project.username.groupname.a-level.com.ua, **где**:

- project - имя папки в `public_html`,
- username - ваш логин ssh/ftp (обычно логин `skype`)
- groupname - имя группы (`fe3`)

Например, если вашего пользователя зовут `john`, а папка проекта называется `homework5`, и вы из группы `fe3`, то:
ссылка будет:

http://homework5.john.fe3.a-level.com.ua


